Subject: Re: bug#44850: 27.1; Emacs crash in font handling with font-backend ns

From: Pieter van Oostrum <[email-masked]>
Date: Sat, 28 Nov 2020 15:23:54 +0100

Alan Third <[email-masked]> writes:

> On Fri, Nov 27, 2020 at 11:04:35AM +0100, Lars Ingebrigtsen wrote:
>> Alan Third <[email-masked]> writes:
>> 
>> > It's bug#44349. It doesn't look like that bug report went anywhere.
>> 
>> Right; I've now merged these two bug reports.
>
> I'm not convinced that bug report is related to the original report in
> this bug report. One is in emacs string handling code, the other is in
> macfont.m code.

I think my original bug report is a different issue. Actually I am running a nightly build of Emacs 28 now (https://emacsformacosx.com/emacs-builds/Emacs-2020-10-25_01-40-16-10ea719abcde4f2ee40e717eb846fe93f51d5d79-universal.dmg), and it gives me the same segfault as Emacs 27.
However, when I compile revision 10ea719abcde4f2ee40e717eb846fe93f51d5d79 it gives the doprnt crash. Very strange.

So I would prefer not to merge these bug reports.

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]